Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Interface ProgressListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  InformationDelegator, ProgressListenerGauge

public interface ProgressListener
extends java.util.EventListener

Listens for ProgressEvents from something doing some work.

Method Summary
`void` | `updateProgress(ProgressEvent evt)` Intermediate updates.

Method Detail

### updateProgress

    public void updateProgress(ProgressEvent evt)

  Intermediate updates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details